using RimWorld;
using Verse;
using HarmonyLib;

namespace SladkiTweaks
{
    public class AmmoRecipesDebug
    {
        public void Tweak()
        {
            if(AmmoTweaksCE.settings.debugMode)
            {
                FileLog.Log("[DEBUG] Tweaking recipes: " + AmmoTweaksCE.settings.changeRecipes + " mult: " + AmmoTweaksCE.settings.recipeProductsMult);
                Log.Message("[DEBUG] Tweaking recipes: " + AmmoTweaksCE.settings.changeRecipes + " mult: " + AmmoTweaksCE.settings.recipeProductsMult);
                LogShit();
            }
            new AmmoRecipes().Tweak();
        }

        private void LogShit()
        {
            FileLog.Log("[DEBUG] ===========");
            AmmoRecipes ar = new AmmoRecipes();
            foreach(RecipeDef recipeDef in DefDatabase<RecipeDef>.AllDefsListForReading)
            {
                ThingDef productDef = recipeDef.ProducedThingDef;
                if(productDef != null && productDef.techLevel >= TechLevel.Industrial)
                {
                    FileLog.Log("[DEBUG] Ammo: " + ar.IsAmmo(productDef) + " " + recipeDef);
                }
            }
            FileLog.Log("[DEBUG] =========== End of shit ===========");
        }
    }
}